SRC/izmax1.f(3)

NAME
SRC/izmax1.f

SYNOPSIS

  Functions/Subroutines
integer function izmax1 (n, zx, incx)
IZMAX1 finds the index of the first vector element of maximum absolute value.

Function/Subroutine Documentation

  integer function izmax1 (integer n, complex*16, dimension(*) zx, integer incx)

IZMAX1 finds the index of the first vector element of maximum absolute value.

Purpose:

    !>
    !> IZMAX1 finds the index of the first vector element of maximum absolute value.
    !>
    !> Based on IZAMAX from Level 1 BLAS.
    !> The change is to use the 'genuine' absolute value.
    !>

Parameters
    N

    !>          N is INTEGER
    !>          The number of elements in the vector ZX.
    !>

    ZX

    !>          ZX is COMPLEX*16 array, dimension (N)
    !>          The vector ZX. The IZMAX1 function returns the index of its first
    !>          element of maximum absolute value.
    !>

    INCX

    !>          INCX is INTEGER
    !>          The spacing between successive values of ZX.  INCX >= 1.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Nick Higham for use with ZLACON.

Definition at line 80 of file izmax1.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.